DEBCONF-ESCAPE(1)

NAME
debconf-escape - helper when working with debconf's escape capability

SYNOPSIS
 debconf-escape -e < unescaped-text
 debconf-escape -u < escaped-text

DESCRIPTION
When debconf has the 'escape' capability set, it will expect commands you send it to have backslashes and newlines escaped (as "\\" and "\n" respectively) and will in turn escape backslashes and newlines in its replies. This can be used, for example, to substitute multi-line strings into templates, or to get multi-line extended descriptions reliably using "METAGET".

SEE ALSO
debconf-devel(7) (available in the debconf-doc package)

AUTHOR
Colin Watson <cjwatson@debian.org>